function ToggleNodes()

	if GatherMate2.db.profile["showWorldMap"] then
        GatherMate2_Toggle:SetText("顯示採集點");
    else
        GatherMate2_Toggle:SetText("隱藏採集點");
    end
	GatherMate2.db.profile["showWorldMap"] = not GatherMate2.db.profile["showWorldMap"]
	GatherMate2:GetModule("Config"):UpdateConfig()
	--LibStub("AceConfigRegistry-3.0"):NotifyChange("GatherMate2")

end

-- Change position of Map button when continent dropdown is hidden
C_Timer.After(1, function()
	if not WorldMapContinentDropDown:IsShown() then
		GatherMate2_Toggle:ClearAllPoints();
		if AtlasToggleFromWorldMap and AtlasToggleFromWorldMap:IsShown() then -- #1498
			AtlasToggleFromWorldMap:SetScript("OnHide", function() GatherMate2_Toggle:SetPoint('RIGHT', WorldMapFrameCloseButton, 'LEFT', -125, 0) end)
			AtlasToggleFromWorldMap:SetScript("OnShow", function() GatherMate2_Toggle:SetPoint('RIGHT', AtlasToggleFromWorldMap, 'LEFT', -125, 0) end)
			GatherMate2_Toggle:SetPoint('RIGHT', AtlasToggleFromWorldMap, 'LEFT', -125, 0);
		else
			GatherMate2_Toggle:SetPoint('RIGHT', WorldMapFrameCloseButton, 'LEFT', -125, 0);
		end
	end
end);